void tcircle(int plane,int x0,int y0,int r,int mode)
/* テキスト画面円描画 */
/* 現在は事実上768*512画面専用 */
{
int x,y,f;
int ssp;
	ssp=SUPER(0);
	x=r;
	y=0;
	f=-2*r+3;
	while (x>=y) {
		_tpset(plane,x0+x,y0+y,mode);
		_tpset(plane,x0-x,y0+y,mode);
		_tpset(plane,x0+x,y0-y,mode);
		_tpset(plane,x0-x,y0-y,mode);
		_tpset(plane,x0+y,y0+x,mode);
		_tpset(plane,x0-y,y0+x,mode);
		_tpset(plane,x0+y,y0-x,mode);
		_tpset(plane,x0-y,y0-x,mode);
		if (f>=0) {
			x--;
			f=f-4*x;
		}
		y++;
		f=f+4*y+2;
	}
	if (ssp>=0) SUPER(ssp);
}

#if 0
#include	<time.h>

main()
{
int r;
time_t t,t1;
#define	X0	100
#define	Y0	100
	t=clock();
	for (r=5;r<=200;r+=10) TCIRCLE(0,X0,Y0,r,1);
	t1=clock()-t;
	printf("time=%ld\n",t1);
	getch();
	t=clock();
	for (r=205;r>=5;r-=10) TCIRCLE(0,X0,Y0,r,0);
	t1=clock()-t;
	printf("time=%ld\n",t1);
}
#endif
